Package org.apache.qpid.proton.amqp.messaging

# Class Source

java.lang.Object
org.apache.qpid.proton.amqp.messaging.Terminus
org.apache.qpid.proton.amqp.messaging.Source

All Implemented Interfaces:
  `Source`

public final class Source extends Terminus implements Source

## Constructor Summary

Constructors
Constructor
Description
`Source()`

## Method Summary

Modifier and Type
Method
Description
`Source`
`copy()`
`Outcome`
`getDefaultOutcome()`
`Symbol`
`getDistributionMode()`
`Map`
`getFilter()`
`Symbol[]`
`getOutcomes()`
`void`
`setDefaultOutcome(Outcome defaultOutcome)`
`void`
`setDistributionMode(Symbol distributionMode)`
`void`
`setFilter(Map filter)`
`void`
`setOutcomes(Symbol... outcomes)`
`String`
`toString()`

### Methods inherited from class org.apache.qpid.proton.amqp.messaging.Terminus

`getAddress, getCapabilities, getDurable, getDynamic, getDynamicNodeProperties, getExpiryPolicy, getTimeout, setAddress, setCapabilities, setDurable, setDynamic, setDynamicNodeProperties, setExpiryPolicy, setTimeout`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.qpid.proton.amqp.transport.Source

`getAddress`

## Constructor Details

### Source

public Source()

## Method Details

### getDistributionMode

public Symbol getDistributionMode()

### setDistributionMode

public void setDistributionMode(Symbol distributionMode)

### getFilter

public Map getFilter()

### setFilter

public void setFilter(Map filter)

### getDefaultOutcome

public Outcome getDefaultOutcome()

### setDefaultOutcome

public void setDefaultOutcome(Outcome defaultOutcome)

### getOutcomes

public Symbol[] getOutcomes()

### setOutcomes

public void setOutcomes(Symbol... outcomes)

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### copy

public Source copy()

Specified by:
  `copy` in interface `Source`